import { GameGetSubmitResultData } from '../../libs/tw/data/game/submit/GameGetSubmitResultData';
import { GetInfoData } from '../../libs/tw/data/game/getInfo/GetInfoData';
import Panel from "../views/Panel";
import MItem from '../components/MItem';
import PanelCtrl from '../ctrls/panelCtrl';
import { ModuleTypes } from '../types/sceneTypes';
import { NetPromise } from '../NetPromise';
import { DataManager } from '../../libs/tw/manager/DataManager';
import { NetName } from '../../libs/tw/enum/NetName';
import { GDispatcher } from '../../libs/tc/util/GDispatcher';
import { NetBuried } from '../NetBuried';

export default class RedItem extends MItem {

    public amount:eui.Label;
    public time:eui.Label;
    
    constructor() {
        super();
    }
   
    dataChanged(){

        let time = new Date(this.data.time).getUTCFullYear()+"."+(new Date(this.data.time).getUTCMonth()+1)+"."+new Date(this.data.time).getUTCDate()
        this.amount.text=this.data.amount.toFixed(2)
        this.time.text=time
    }

    onSkinComplete(){
        //去完成按钮
    }

}